Skip to main content
Update a project within an organization

Path Parameters

project_id
string<uuid>
required

Body

application/json
name
string | null

The name of the project.

description
string | null

An optional description for the project.

Response

Successful Response

name
string
required

The name of the project.

id
string
required

The unique identifier for the project.

organization_id
string
required

The ID of the organization this project belongs to.

created_at
string<date-time>
required

Timestamp of when the project was created.

updated_at
string<date-time>
required

Timestamp of when the project was last updated.

description
string | null

An optional description for the project.

created_by
string | null

User ID of the creator.

my_role
string | null

The caller's role in the project, or null if they are not a member.

my_permissions
string[]

The permission actions the caller's project role grants, e.g. pipeline:read. Empty if they are not a member.